Subject: bug#26623: 24.5; bad variable name: `inside-post-command-hook'

From: Drew Adams <[email-masked]>
Date: Sun, 23 Apr 2017 10:00:52 -0700 (PDT)

This variable's name should not end in `-hook', because that means,
by convention, that this is a hook variable, which it is not.

This is a Boolean-valued, internal variable whose value indicates only
whether execution is currently inside the post-command-hook.

It should have a name that indicates (1) that it is Boolean and
perhaps (2) that it is internal.

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'